package com.mrbool;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jinstagram.Instagram;
import org.jinstagram.auth.model.Token;
import org.jinstagram.auth.model.Verifier;
import org.jinstagram.auth.oauth.InstagramService;

public class MyInstaServlet extends HttpServlet {

	private static final long serialVersionUID = -5771458387230994250L;

	public static final String INSTA_SERVICE = "instService";
	public static final String INSTA_OBJECT = "objService";

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		String code = req.getParameter("code");

		InstagramService instagramService = (InstagramService) req.getSession().getAttribute(INSTA_SERVICE);

		Verifier verifier = new Verifier(code);

		Token token = instagramService.getAccessToken(verifier);

		Instagram instagram = new Instagram(token);
		req.getSession().setAttribute(INSTA_OBJECT, instagram);

		resp.sendRedirect(req.getContextPath() + "/profile.jsp");
	}

}
